]> sipb.mit.edu Git - ikiwiki.git/blob - debian/NEWS
* Add canedit hook, allowing arbitrary controls over when a page can be
[ikiwiki.git] / debian / NEWS
1 ikiwiki (1.42) unstable; urgency=low
2
3   The anonok setting in config files has been removed. To enable
4   httpauth support on your wiki, you should now enable the anonok plugin,
5   instead.
6
7  -- Joey Hess <joeyh@debian.org>  Thu,  1 Feb 2007 16:57:59 -0500
8
9 ikiwiki (1.34) unstable; urgency=low
10
11   The httpauth setting in config files has been removed. To enable
12   httpauth support on your wiki, you should now enable the httpauth plugin,
13   instead.
14
15   This release includes OpenID support that is enabled through the openid
16   plugin. I recommend turning this on to make it easier for users to sign
17   in to your wiki.
18
19  -- Joey Hess <joeyh@debian.org>  Sun, 19 Nov 2006 20:53:05 -0500
20
21 ikiwiki (1.32) unstable; urgency=low
22
23   There is a change to the plugin interface in this version. Any plugins that
24   modify data in %links should pass scan => 1 when registering the hook that
25   does so.
26
27  -- Joey Hess <joeyh@debian.org>  Sat, 28 Oct 2006 00:13:12 -0400
28
29 ikiwiki (1.29) unstable; urgency=low
30
31   Wikis need to be rebuilt on upgrade to this version. If you listed your wiki
32   in /etc/ikiwiki/wikilist this will be done automatically when the Debian
33   package is upgraded. Or use ikiwiki-mass-rebuild to force a rebuild.
34
35   There is a change to the plugin interface in this version. Plugins that use
36   %renderedfiles will need to be updated, as the hash's values are now arrays
37   of rendered files. Plugins that cause a page to render additional files
38   should use the new will_render function to register the files.
39
40  -- Joey Hess <joeyh@debian.org>  Sun,  8 Oct 2006 17:27:56 -0400
41
42 ikiwiki (1.22) unstable; urgency=low
43   
44   Due to some changes in the CSS, wikis should be rebuilt on upgrade to this
45   version. If you listed your wiki in /etc/ikiwiki/wikilist this will be done
46   automatically when the Debian package is upgraded. Or use ikiwiki-mass-rebuild
47   to force a rebuild.
48
49   If you have modified versions of ikiwiki's html templates, you will need
50   to update your templates to link to the stylesheet file using
51   "<TMPL_VAR BASEURL>style.css" instead of the old method which used
52   STYLEURL.
53
54   There have also been some changes to the plugin interface:
55   Any plugins that use santize, htmlize, or format hooks will need to be
56   updated for this version of ikiwiki since these hooks have been changed
57   to use named parameters.
58
59  -- Joey Hess <joeyh@debian.org>  Tue, 22 Aug 2006 15:33:12 -0400
60
61 ikiwiki (1.13) unstable; urgency=low
62
63   The GlobList format which was used for specifiying sets of pages, has been
64   replaced with a new, more expressive PageSpec format. While GlobLists will
65   continue to work, that format is deprecated, and you are encouraged to use
66   PageSpecs from now on, and also to change any GlobLists in your wiki to
67   PageSpecs. See the new PageSpec page for details.
68   
69   You will need to rebuild your wiki when upgrading to this version. If you
70   listed your wiki in /etc/ikiwiki/wikilist this will be done automatically
71   when the Debian package is upgraded. Or use ikiiki-mass-rebuild to force a
72   rebuild.
73
74  -- Joey Hess <joeyh@debian.org>  Tue,  1 Aug 2006 18:29:51 -0400
75
76 ikiwiki (1.11) unstable; urgency=low
77
78   Some changes to tags in this release, due to a new tag plugin. If you have
79   been using the meta plugin to tag pages, you'll want to enable the tag
80   plugin too, and change things like this:
81
82   [[meta link="foobar"]]
83
84   To this:
85
86   [[tag foobar]]
87
88   The new tags will appear at page footers, and are also easier to type.
89
90   There have also been some changes to the plugin interface, particularly the
91   interface of pagetemplate hooks has changed. See the changelog for details.
92
93  -- Joey Hess <joeyh@debian.org>  Thu, 27 Jul 2006 17:03:09 -0400
94
95 ikiwiki (1.8) unstable; urgency=low
96
97   If your wiki is configured with a setup file, you should modify it to
98   stop setting the "plugin" list directly, and instead add or remove plugins
99   via the add_plugins and disable_plugins lines. For example, if you had:
100
101         plugin => [qw{inline smiley search}],
102
103   Change it to these lines, which disables the default htmlscrubber plugin
104   and adds the two additional plugins:
105
106         add_plugins => [qw{smiley search}],
107         disable_plugins => [qw{htmlscrubber}],
108
109   Making this change makes your ikiwiki setup file more future-proof since
110   new default plugins will be automatically used.
111   
112   You will need to rebuild your ikiwiki wrappers when upgrading to this
113   version. If you listed your wiki in /etc/ikiwiki/wikilist this will be
114   done automatically when the Debian package is upgraded. Or use
115   ikiiki-mass-rebuild --refresh to force a refresh.
116
117  -- Joey Hess <joeyh@debian.org>  Mon,  3 Jul 2006 16:59:29 -0400
118
119 ikiwiki (1.1) unstable; urgency=low
120
121   There have been several configuration changes in this release of ikiwiki:
122
123   The --svn and --no-svn switches are removed, instead you should use
124    --rcs=svn or --no-rcs. ikiwiki setup files that set svn => 1 should
125   be changed to set rcs => "svn"; if your setup file sets svn => 0
126   then change it to use rcs => "" to disable svn.
127
128   The --hyperestraier switch is gone too. To enable searching, turn on the
129   search plugin, by passing --plugin=search or through the plugin setting in
130   the setup file.
131
132   The --sanitize and --no-sanitize switches are also gone, replaced with the
133   htmlscrubber plugin. This plugin is enabled by default, to disable it,
134   use --disable-plugin=htmlscrubber, or modify the plugin setting in the
135   setup file.
136
137   Discussion pages are enabled by default, but if your wiki is configured
138   with a setup file, you need to edit it to keep them enabled on upgrade
139   to this version. Add a line reading:
140   discussion => 1,
141
142   You will need to rebuild your wiki when upgrading to this version.
143   If you listed your wiki in /etc/ikiwiki/wikilist this will be done
144   automatically when the Debian package is upgraded. Or use
145   ikiiki-mass-rebuild to force a rebuild.
146
147  -- Joey Hess <joeyh@debian.org>  Tue,  2 May 2006 14:13:59 -0400